impala-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Tim Armstrong <tarmstr...@cloudera.com>
Subject Re: Compile error in Redhat 7.x
Date Wed, 30 Aug 2017 04:06:21 GMT
Impala definitely should build and run on RHEL6.x. We do most of our
testing on CentOS 6.

I'm not sure if this will help, but when building on Ubuntu we generally
need to set LD_LIBRARY_PATH to work around this problem

export LD_LIBRARY_PATH=/usr/lib/x86_64-linux-gnu/:$LD_LIBRARY_PATH




On Tue, Aug 29, 2017 at 8:15 PM, yu feng <olaptestyu@gmail.com> wrote:

> Hi, I try to compile impala in Red Hat Enterprise Linux Server release 6.5
> (Santiago), and I get thje error :
>
> cmake: /lib64/libc.so.6: version `GLIBC_2.14' not found (required by
> /home/hzfengyu/source/impala-kudu/toolchain/gcc-4.9.2/
> lib64/libstdc++.so.6)
> cmake: /lib64/libc.so.6: version `GLIBC_2.18' not found (required by
> /home/hzfengyu/source/impala-kudu/toolchain/gcc-4.9.2/
> lib64/libstdc++.so.6)
> cmake: /lib64/libc.so.6: version `GLIBC_2.17' not found (required by
> /home/hzfengyu/source/impala-kudu/toolchain/gcc-4.9.2/
> lib64/libstdc++.so.6)
> cmake: /lib64/libc.so.6: version `GLIBC_2.14' not found (required by
> /home/hzfengyu/source/impala-kudu/toolchain/gcc-4.9.2/lib64/libgcc_s.so.1)
> Error in /home/hzfengyu/source/impala-kudu/bin/make_impala.sh at line 125:
> cmake . ${CMAKE_ARGS[@]}
> Error in buildall.sh at line 319: "$IMPALA_HOME/bin/make_impala.sh"
> ${MAKE_IMPALA_ARGS}
>
> change GLIBC have a great influence, So do I have any other way finish it.
>
> I just want to compile and run impala cluster beyond Red Hat Enterprise
> Linux Server release 6.5 .
>
> Thanks a lot.
>

Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message